@import url(reset.css);

html,
body {
  font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
}
img {
  border-radius: 0.75rem;
  width: 200px;
  -webkit-box-shadow: 0px 6px 29px 2px rgba(0, 0, 0, 0.56);
  box-shadow: 0px 6px 29px 2px rgba(0, 0, 0, 0.56);
}
h1 {
  font-size: xx-large;
  font: bold;
  padding: 1rem;
  margin: 1rem;
  letter-spacing: 0.25rem;
}
label {
  width: 80%;
}

.container {
  width: 80%;
  height: auto;
  background-color: rgb(173, 162, 151);
  border-radius: 0.5rem;
  margin: 40px auto;
  font-size: 1.5rem;
  border: 2px solid #000;
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.content {
  padding: 50px;
  margin: 2rem;
  width: 80%;
  height: auto;
  background-color: #00000040;
  border: #000 1px solid;
  border-radius: 0.5rem;
  display: flex;
  align-items: center;
  flex-direction: column;
}

.title {
  font-size: 1.5 rem;
  padding: 0.5rem;
}

.image__object {
  width: 75%;
  height: auto;
  padding: 2rem;
  margin: 2rem 0.5rem;
  align-content: center;
  text-align: center;
}

h2 {
  width: 80%;
  font-size: 1.5rem;
  font: bold;
  padding: 0.25rem 1rem;
  margin: 0.75rem 2rem 4rem;
  letter-spacing: 0.25rem;
  text-align: center;
  color: #fff;
}

.button__submit {
  font-size: 1.5rem;
  font-weight: bolder;
  border-radius: 0.5rem;
  padding: 0.5rem;
  margin: 1rem 0;
}
.button__submit:hover {
  background-color: rgb(196, 169, 136);
  transition: all 0.2s ease-in-out;
  transform: scaleX(1.1);
}

.letter:hover {
  background-color: rgb(255, 255, 255);
  transform: scale(1.5);
}

.letter.disabled {
  color: rgba(255, 0, 0, 0.866);
  background-color: #000;
  pointer-events: none;
}

.letter {
  color: #fff;
  width: 40px;
  height: 40px;
  border: solid 2px #fff;
  padding: 0.5rem;
  margin: 1rem;
  text-align: center;
  align-content: center;
  border-radius: 0.5rem;
  font-style: italic;
  font-weight: bold;
  background: rgb(3, 53, 252);
  background: radial-gradient(
    circle,
    rgba(2, 53, 192, 0.877) 95%,
    rgb(1, 14, 37) 100%
  );
  cursor: pointer;
}

.alphabet__letter {
  width: 100%;
  height: 380px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  height: auto;
  width: 100%;
  margin: 2rem;
}

.attempts {
  text-align: center;
  background-color: rgb(240, 248, 255);
  color: orange;
  font-size: 2rem;
  width: 60%;
  height: 50px;
  border: #00000066 solid 2px;
  border-radius: 4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0.25rem;
  margin: 50px 0;
}

.cache__word {
  width: 100%;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 4rem;
  font-style: normal;
  font-weight: 800;
  color: #000;
  letter-spacing: 1rem;
}

.result__message {
  color: rgb(0, 0, 0);
  font-weight: bold;
  background-color: rgb(240, 248, 255);
  margin: 2rem 0.5rem;
  width: 80%;
  height: 100px;
  border: #00000066 solid 2px;
  border-radius: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.win {
  color: green;
  font-weight: bold;
  background-color: rgb(240, 248, 255);
  margin: 2rem 0.5rem;
  width: 80%;
  height: 100px;
  border: #00000066 solid 2px;
  border-radius: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.lose {
  color: red;
  font-weight: bold;
  background-color: rgb(240, 248, 255);
  margin: 2rem 0.5rem;
  width: 80%;
  height: 100px;
  border: #00000066 solid 2px;
  border-radius: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 1024px) {
  .container {
    font-size: 1.2rem;
    width: 95%;
  }
  .content {
    padding: 1rem 0.5rem;
    margin: 0;
    width: 98%;
  }
  img {
    width: 200px;
    height: auto;
  }
  .attempts {
    font-size: 1rem;
    width: 300px;
    height: 30px;
    border-radius: 1rem;
    margin: 20px 0;
  }
  .result__message {
    margin: 1rem 0;
    height: 30px;
    width: 300px;
    border-radius: 1rem;
  }
  .lose {
    height: 40px;
    text-align: center;
    border-radius: 10px;
  }
  .win {
    height: 40px;

    text-align: center;
    border-radius: 10px;
  }
  .alphabet__letter {
    margin: 1rem 0;
  }
  .letter {
    width: 30px;
    height: 30px;
  }
}

@media (max-width: 768px) {
  .title {
    font-size: 1.2rem;
  }
  .title__h2 {
    font-size: 1rem;
    margin: 1rem 0;
    padding: 1rem 0;
  }
  img {
    width: 150px;
  }
  .container {
    font-size: 1.2rem;
  }

  .content {
    padding: 1rem 0.5rem;
    margin: 0;
    width: 98%;
    height: auto;
  }
  .cache__word {
    font-size: 3rem;
    letter-spacing: 0.75rem;
  }

  .image__object {
    width: 80%;
    height: auto;
  }

  .attempts {
    font-size: 1rem;
    width: 300px;
    height: 30px;
    border-radius: 1rem;
    margin: 20px 0;
  }
  .result__message {
    margin: 1rem 0;
    height: 30px;
    width: 300px;
    border-radius: 1rem;
  }
  .lose {
    height: 40px;
    text-align: center;
    border-radius: 10px;
  }
  .win {
    height: 40px;

    text-align: center;
    border-radius: 10px;
  }
  .alphabet__letter {
    margin: 1rem 0;
  }
  .letter {
    width: 20px;
    height: 20px;
  }
  .button__submit {
    font-size: 1rem;
    font-weight: bolder;
    border-radius: 0.5rem;
    padding: 0.5rem;
    margin: 0.5rem 0;
  }
  .button__submit:hover {
    background-color: rgb(196, 169, 136);
    transition: all 0.2s ease-in-out;
    transform: scaleX(1.1);
  }
}

@media (max-width: 480px) {
  .container {
    width: 99%;
    font-size: 0.75rem;
  }

  h1 {
    font-size: 1.5rem;
  }
  .title__h2 {
    margin: 1rem 0;
  }

  .alphabet__letter {
    padding: 0.1rem;
    margin: 0.2rem;
  }

  .cache__word {
    font-size: 1.5rem;
    font-weight: bold;
  }

  .letter {
    width: 10px;
    height: 10px;
  }

  .content {
    width: 95%;
  }
  .attempts {
    border-radius: 0.5rem;
    width: 95%;
  }
  .result__message {
    width: 95%;
    border-radius: 0.5rem;
  }
  .button__submit {
    font-size: 0.75rem;
    border-radius: 6px;
    padding: 2px;
    margin: 2px 0;
  }
  .button__submit:hover {
    background-color: rgb(196, 169, 136);
    transition: all 0.2s ease-in-out;
    transform: scaleX(1.1);
  }
  .title {
    padding: 0;
    margin: 1rem 0;
    font-size: 0.75rem;
  }
  img {
    width: 100px;
  }
}
